// Sample5_SWF2BitmapDlg.h : header file
//

#pragma once


// CSample5_SWF2BitmapDlg dialog
class CSample5_SWF2BitmapDlg : public CDialog
{
private:
	HWND m_hwndFlashPlayerControl;

// Construction
public:
	CSample5_SWF2BitmapDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLE5_SWF2BITMAP_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPlayEmbeddedSwf();
	afx_msg void OnBnClickedPlaySwfFromFile();
	afx_msg void OnBnClickedSaveAsBitmap();
	afx_msg void OnBnClickedSite();
	afx_msg void OnBnClickedOrder();
};
